de.vc.jfo.rtf

## Class StylesheetWizard.FieldValue

- java.lang.Object
- - de.vc.jfo.rtf.StylesheetWizard.FieldValue

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    StylesheetWizard

      public static class StylesheetWizard.FieldValue
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_DEFAULT_RESULT`
    `static int` | `TYPE_EMPTY`
    `static int` | `TYPE_TEXT`
    `static int` | `TYPE_XML_SNIPPET`
    `static int` | `TYPE_XSL_VALUE_OF`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getParameter()`
    `java.lang.String` | `getParameter(java.lang.String key)`
    `int` | `getType()`
    `void` | `setParameter(java.lang.String obj)`
    `void` | `setParameter(java.lang.String key, java.lang.String value)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_DEFAULT_RESULT

          public static final int TYPE_DEFAULT_RESULT

      See Also:
        Constant Field Values

    - #### TYPE_EMPTY

          public static final int TYPE_EMPTY

      See Also:
        Constant Field Values

    - #### TYPE_TEXT

          public static final int TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_XSL_VALUE_OF

          public static final int TYPE_XSL_VALUE_OF

      See Also:
        Constant Field Values

    - #### TYPE_XML_SNIPPET

          public static final int TYPE_XML_SNIPPET

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getParameter

          public java.lang.String getParameter()

    - #### setType

          public void setType(int type)

    - #### setParameter

          public void setParameter(java.lang.String obj)

    - #### setParameter

          public void setParameter(java.lang.String key,
                          java.lang.String value)

    - #### getParameter

          public java.lang.String getParameter(java.lang.String key)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.